FinWise API
SupportChangelog

Create a balance

Record a manual balance snapshot.

Request body

accountIdstringrequired
Account id.
datestringrequired
ISO 8601 date.
amountobjectrequired
Balance.
amountnumber
Numeric amount in that currency.
currencyCodestring
ISO 4217 code, e.g. USD, EUR, ZAR.
POST/account-balances
curl https://api.finwiseapp.io/account-balances \
-X POST \
-H "Authorization: Bearer fw_..." \
-H "Content-Type: application/json" \
-d '{"accountId":"94d2f962-d4e3-4c99-ab47-8c941cea012a","date":"2026-03-14","amount":{"amount":-3432,"currencyCode":"USD"}}'
const response = await fetch('https://api.finwiseapp.io/account-balances', {
method: 'POST',
headers: {
Authorization: 'Bearer fw_...',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"accountId": "94d2f962-d4e3-4c99-ab47-8c941cea012a",
"date": "2026-03-14",
"amount": {
"amount": -3432,
"currencyCode": "USD"
}
}),
})
const data = await response.json()
Response
{
"id": "b8cb6f04-2f2b-440a-a55f-6708ebb57130",
"createdAt": "2026-03-14T09:15:46.728Z",
"updatedAt": "2026-03-14T09:15:46.728Z",
"accountId": "94d2f962-d4e3-4c99-ab47-8c941cea012a",
"date": "2026-03-14T09:15:46.724Z",
"amount": {
"amount": -3432,
"currencyCode": "USD"
},
"userId": "f472696c-47ac-4873-98cf-2a1069a1cf45",
"type": "manual",
"isManual": true,
"archivedAt": null,
"dataImportId": null,
"accountHoldingId": null,
"originalAccountId": null
}